IPPDefs
Keywords: org.cups.IPPDefs,IPPDefs class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class IPPDefs

    java.lang.Object
      |
      +--org.cups.IPPDefs

public class IPPDefs
extends java.lang.Object

`IPPDefs` is a collection of constants for use in the `IPP` and `CUPS` classes.

Since:
  JDK1.3

Field Summary
`static int` | `ACTIVATE_PRINTER`
`static int` | `ATTRIBUTE`
`static int` | `ATTRIBUTES`
`static int` | `ATTRIBUTES_NOT_SETTABLE`
`static int` | `BAD_REQUEST`
`static int` | `CANCEL_CURRENT_JOB`
`static int` | `CANCEL_JOB`
`static int` | `CANCEL_SUBSCRIPTION`
`static int` | `CHARSET`
`static int` | `COMPRESSION_ERROR`
`static int` | `COMPRESSION_NOT_SUPPORTED`
`static int` | `CONFLICT`
`static int` | `CREATE_JOB`
`static int` | `CREATE_JOB_SUBSCRIPTION`
`static int` | `CREATE_PRINTER_SUBSCRIPTION`
`static int` | `CUPS_ACCEPT_JOBS`
`static int` | `CUPS_ADD_CLASS`
`static int` | `CUPS_ADD_DEVICE`
`static int` | `CUPS_ADD_PRINTER`
`static int` | `CUPS_DELETE_CLASS`
`static int` | `CUPS_DELETE_DEVICE`
`static int` | `CUPS_DELETE_PRINTER`
`static int` | `CUPS_GET_CLASSES`
`static int` | `CUPS_GET_DEFAULT`
`static int` | `CUPS_GET_DEVICES`
`static int` | `CUPS_GET_PPDS`
`static int` | `CUPS_GET_PRINTERS`
`static int` | `CUPS_MOVE_JOB`
`static int` | `CUPS_REJECT_JOBS`
`static int` | `CUPS_SET_DEFAULT`
`static int` | `DATA`
`static int` | `DEACTIVATE_PRINTER`
`static int` | `DEVICE_ERROR`
`static int` | `DISABLE_PRINTER`
`static int` | `DOCUMENT_ACCESS_ERROR`
`static int` | `DOCUMENT_FORMAT`
`static int` | `DOCUMENT_FORMAT_ERROR`
`static int` | `ENABLE_PRINTER`
`static int` | `ERROR`
`static int` | `ERROR_JOB_CANCELLED`
`static int` | `FINISHINGS_BALE`
`static int` | `FINISHINGS_BIND`
`static int` | `FINISHINGS_BIND_BOTTOM`
`static int` | `FINISHINGS_BIND_LEFT`
`static int` | `FINISHINGS_BIND_RIGHT`
`static int` | `FINISHINGS_BIND_TOP`
`static int` | `FINISHINGS_BOOKLET_MAKER`
`static int` | `FINISHINGS_COVER`
`static int` | `FINISHINGS_EDGE_STITCH`
`static int` | `FINISHINGS_EDGE_STITCH_BOTTOM`
`static int` | `FINISHINGS_EDGE_STITCH_LEFT`
`static int` | `FINISHINGS_EDGE_STITCH_RIGHT`
`static int` | `FINISHINGS_EDGE_STITCH_TOP`
`static int` | `FINISHINGS_FOLD`
`static int` | `FINISHINGS_JOB_OFFSET`
`static int` | `FINISHINGS_NONE`
`static int` | `FINISHINGS_PUNCH`
`static int` | `FINISHINGS_SADDLE_STITCH`
`static int` | `FINISHINGS_STAPLE`
`static int` | `FINISHINGS_STAPLE_BOTTOM_LEFT`
`static int` | `FINISHINGS_STAPLE_BOTTOM_RIGHT`
`static int` | `FINISHINGS_STAPLE_DUAL_BOTTOM`
`static int` | `FINISHINGS_STAPLE_DUAL_LEFT`
`static int` | `FINISHINGS_STAPLE_DUAL_RIGHT`
`static int` | `FINISHINGS_STAPLE_DUAL_TOP`
`static int` | `FINISHINGS_STAPLE_TOP_LEFT`
`static int` | `FINISHINGS_STAPLE_TOP_RIGHT`
`static int` | `FINISHINGS_TRIM`
`static int` | `FORBIDDEN`
`static int` | `GET_JOB_ATTRIBUTES`
`static int` | `GET_JOBS`
`static int` | `GET_NOTIFICATIONS`
`static int` | `GET_PRINT_SUPPORT_FILES`
`static int` | `GET_PRINTER_ATTRIBUTES`
`static int` | `GET_PRINTER_SUPPORTED_VALUES`
`static int` | `GET_SUBSCRIPTION_ATTRIBUTES`
`static int` | `GET_SUBSCRIPTIONS`
`static int` | `GONE`
`static int` | `HEADER`
`static int` | `HOLD_JOB`
`static int` | `HOLD_NEW_JOBS`
`static int` | `IDLE`
`static int` | `IGNORED_ALL_NOTIFICATIONS`
`static int` | `IGNORED_ALL_SUBSCRIPTIONS`
`static int` | `INTERNAL_ERROR`
`static int` | `JOB_ABORTED`
`static int` | `JOB_CANCELLED`
`static int` | `JOB_COMPLETED`
`static int` | `JOB_HELD`
`static int` | `JOB_PENDING`
`static int` | `JOB_PROCESSING`
`static int` | `JOB_STOPPED`
`static int` | `LANDSCAPE`
`static int` | `MAX_NAME`
`static int` | `MAX_VALUES`
`static int` | `MULTIPLE_JOBS_NOT_SUPPORTED`
`static int` | `NOT_ACCEPTING`
`static int` | `NOT_AUTHENTICATED`
`static int` | `NOT_AUTHORIZED`
`static int` | `NOT_FOUND`
`static int` | `NOT_POSSIBLE`
`static int` | `OK`
`static int` | `OK_BUT_CANCEL_SUBSCRIPTION`
`static int` | `OK_CONFLICT`
`static int` | `OK_IGNORED_NOTIFICATIONS`
`static int` | `OK_IGNORED_SUBSCRIPTIONS`
`static int` | `OK_SUBST`
`static int` | `OK_TOO_MANY_EVENTS`
`static int` | `OPERATION_NOT_SUPPORTED`
`static int` | `PAUSE_PRINTER`
`static int` | `PAUSE_PRINTER_AFTER_CURRENT_JOB`
`static int` | `PORT`
`static int` | `PORTRAIT`
`static int` | `PRINT_JOB`
`static int` | `PRINT_SUPPORT_FILE_NOT_FOUND`
`static int` | `PRINT_URI`
`static int` | `PRINTER_BUSY`
`static int` | `PRINTER_IDLE`
`static int` | `PRINTER_IS_DEACTIVATED`
`static int` | `PRINTER_PROCESSING`
`static int` | `PRINTER_STOPPED`
`static int` | `PRIVATE`
`static int` | `PROMOTE_JOB`
`static int` | `PURGE_JOBS`
`static int` | `QUALITY_DRAFT`
`static int` | `QUALITY_HIGH`
`static int` | `QUALITY_NORMAL`
`static int` | `REDIRECTION_OTHER_SITE`
`static int` | `RELEASE_HELD_NEW_JOBS`
`static int` | `RELEASE_JOB`
`static int` | `RENEW_SUBSCRIPTION`
`static int` | `REPROCESS_JOB`
`static int` | `REQUEST_ENTITY`
`static int` | `REQUEST_VALUE`
`static int` | `RES_PER_CM`
`static int` | `RES_PER_INCH`
`static int` | `RESTART_JOB`
`static int` | `RESTART_PRINTER`
`static int` | `RESUME_JOB`
`static int` | `RESUME_PRINTER`
`static int` | `REVERSE_LANDSCAPE`
`static int` | `REVERSE_PORTRAIT`
`static int` | `SCHEDULE_JOB_AFTER`
`static int` | `SEND_DOCUMENT`
`static int` | `SEND_NOTIFICATIONS`
`static int` | `SEND_URI`
`static int` | `SERVICE_UNAVAILABLE`
`static int` | `SET_JOB_ATTRIBUTES`
`static int` | `SET_PRINTER_ATTRIBUTES`
`static int` | `SHUTDOWN_PRINTER`
`static int` | `STARTUP_PRINTER`
`static int` | `SUSPEND_CURRENT_JOB`
`static int` | `TAG_ADMINDEFINE`
`static int` | `TAG_BEGIN_COLLECTION`
`static int` | `TAG_BOOLEAN`
`static int` | `TAG_CHARSET`
`static int` | `TAG_COPY`
`static int` | `TAG_DATE`
`static int` | `TAG_DEFAULT`
`static int` | `TAG_DELETEATTR`
`static int` | `TAG_END`
`static int` | `TAG_END_COLLECTION`
`static int` | `TAG_ENUM`
`static int` | `TAG_EVENT_NOTIFICATION`
`static int` | `TAG_INTEGER`
`static int` | `TAG_JOB`
`static int` | `TAG_KEYWORD`
`static int` | `TAG_LANGUAGE`
`static int` | `TAG_MASK`
`static int` | `TAG_MEMBERNAME`
`static int` | `TAG_MIMETYPE`
`static int` | `TAG_NAME`
`static int` | `TAG_NAMELANG`
`static int` | `TAG_NOTSETTABLE`
`static int` | `TAG_NOVALUE`
`static int` | `TAG_OPERATION`
`static int` | `TAG_PRINTER`
`static int` | `TAG_RANGE`
`static int` | `TAG_RESOLUTION`
`static int` | `TAG_STRING`
`static int` | `TAG_SUBSCRIPTION`
`static int` | `TAG_TEXT`
`static int` | `TAG_TEXTLANG`
`static int` | `TAG_UNKNOWN`
`static int` | `TAG_UNSUPPORTED_GROUP`
`static int` | `TAG_UNSUPPORTED_VALUE`
`static int` | `TAG_URI`
`static int` | `TAG_URISCHEME`
`static int` | `TAG_ZERO`
`static int` | `TEMPORARY_ERROR`
`static int` | `TIMEOUT`
`static int` | `TOO_MANY_SUBSCRIPTIONS`
`static int` | `URI_SCHEME`
`static int` | `VALIDATE_JOB`
`static byte[]` | `VERSION`
`static int` | `VERSION_NOT_SUPPORTED`

Constructor Summary
`IPPDefs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final byte[] VERSION

### PORT

    public static final int PORT

See Also:
  Constant Field Values

### MAX_NAME

    public static final int MAX_NAME

See Also:
  Constant Field Values

### MAX_VALUES

    public static final int MAX_VALUES

See Also:
  Constant Field Values

### TAG_ZERO

    public static final int TAG_ZERO

See Also:
  Constant Field Values

### TAG_OPERATION

    public static final int TAG_OPERATION

See Also:
  Constant Field Values

### TAG_JOB

    public static final int TAG_JOB

See Also:
  Constant Field Values

### TAG_END

    public static final int TAG_END

See Also:
  Constant Field Values

### TAG_PRINTER

    public static final int TAG_PRINTER

See Also:
  Constant Field Values

### TAG_UNSUPPORTED_GROUP

    public static final int TAG_UNSUPPORTED_GROUP

See Also:
  Constant Field Values

### TAG_SUBSCRIPTION

    public static final int TAG_SUBSCRIPTION

See Also:
  Constant Field Values

### TAG_EVENT_NOTIFICATION

    public static final int TAG_EVENT_NOTIFICATION

See Also:
  Constant Field Values

### TAG_UNSUPPORTED_VALUE

    public static final int TAG_UNSUPPORTED_VALUE

See Also:
  Constant Field Values

### TAG_DEFAULT

    public static final int TAG_DEFAULT

See Also:
  Constant Field Values

### TAG_UNKNOWN

    public static final int TAG_UNKNOWN

See Also:
  Constant Field Values

### TAG_NOVALUE

    public static final int TAG_NOVALUE

See Also:
  Constant Field Values

### TAG_NOTSETTABLE

    public static final int TAG_NOTSETTABLE

See Also:
  Constant Field Values

### TAG_DELETEATTR

    public static final int TAG_DELETEATTR

See Also:
  Constant Field Values

### TAG_ADMINDEFINE

    public static final int TAG_ADMINDEFINE

See Also:
  Constant Field Values

### TAG_INTEGER

    public static final int TAG_INTEGER

See Also:
  Constant Field Values

### TAG_BOOLEAN

    public static final int TAG_BOOLEAN

See Also:
  Constant Field Values

### TAG_ENUM

    public static final int TAG_ENUM

See Also:
  Constant Field Values

### TAG_STRING

    public static final int TAG_STRING

See Also:
  Constant Field Values

### TAG_DATE

    public static final int TAG_DATE

See Also:
  Constant Field Values

### TAG_RESOLUTION

    public static final int TAG_RESOLUTION

See Also:
  Constant Field Values

### TAG_RANGE

    public static final int TAG_RANGE

See Also:
  Constant Field Values

### TAG_BEGIN_COLLECTION

    public static final int TAG_BEGIN_COLLECTION

See Also:
  Constant Field Values

### TAG_TEXTLANG

    public static final int TAG_TEXTLANG

See Also:
  Constant Field Values

### TAG_NAMELANG

    public static final int TAG_NAMELANG

See Also:
  Constant Field Values

### TAG_END_COLLECTION

    public static final int TAG_END_COLLECTION

See Also:
  Constant Field Values

### TAG_TEXT

    public static final int TAG_TEXT

See Also:
  Constant Field Values

### TAG_NAME

    public static final int TAG_NAME

See Also:
  Constant Field Values

### TAG_KEYWORD

    public static final int TAG_KEYWORD

See Also:
  Constant Field Values

### TAG_URI

    public static final int TAG_URI

See Also:
  Constant Field Values

### TAG_URISCHEME

    public static final int TAG_URISCHEME

See Also:
  Constant Field Values

### TAG_CHARSET

    public static final int TAG_CHARSET

See Also:
  Constant Field Values

### TAG_LANGUAGE

    public static final int TAG_LANGUAGE

See Also:
  Constant Field Values

### TAG_MIMETYPE

    public static final int TAG_MIMETYPE

See Also:
  Constant Field Values

### TAG_MEMBERNAME

    public static final int TAG_MEMBERNAME

See Also:
  Constant Field Values

### TAG_MASK

    public static final int TAG_MASK

See Also:
  Constant Field Values

### TAG_COPY

    public static final int TAG_COPY

See Also:
  Constant Field Values

### RES_PER_INCH

    public static final int RES_PER_INCH

See Also:
  Constant Field Values

### RES_PER_CM

    public static final int RES_PER_CM

See Also:
  Constant Field Values

### FINISHINGS_NONE

    public static final int FINISHINGS_NONE

See Also:
  Constant Field Values

### FINISHINGS_STAPLE

    public static final int FINISHINGS_STAPLE

See Also:
  Constant Field Values

### FINISHINGS_PUNCH

    public static final int FINISHINGS_PUNCH

See Also:
  Constant Field Values

### FINISHINGS_COVER

    public static final int FINISHINGS_COVER

See Also:
  Constant Field Values

### FINISHINGS_BIND

    public static final int FINISHINGS_BIND

See Also:
  Constant Field Values

### FINISHINGS_SADDLE_STITCH

    public static final int FINISHINGS_SADDLE_STITCH

See Also:
  Constant Field Values

### FINISHINGS_EDGE_STITCH

    public static final int FINISHINGS_EDGE_STITCH

See Also:
  Constant Field Values

### FINISHINGS_FOLD

    public static final int FINISHINGS_FOLD

See Also:
  Constant Field Values

### FINISHINGS_TRIM

    public static final int FINISHINGS_TRIM

See Also:
  Constant Field Values

### FINISHINGS_BALE

    public static final int FINISHINGS_BALE

See Also:
  Constant Field Values

### FINISHINGS_BOOKLET_MAKER

    public static final int FINISHINGS_BOOKLET_MAKER

See Also:
  Constant Field Values

### FINISHINGS_JOB_OFFSET

    public static final int FINISHINGS_JOB_OFFSET

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_TOP_LEFT

    public static final int FINISHINGS_STAPLE_TOP_LEFT

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_BOTTOM_LEFT

    public static final int FINISHINGS_STAPLE_BOTTOM_LEFT

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_TOP_RIGHT

    public static final int FINISHINGS_STAPLE_TOP_RIGHT

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_BOTTOM_RIGHT

    public static final int FINISHINGS_STAPLE_BOTTOM_RIGHT

See Also:
  Constant Field Values

### FINISHINGS_EDGE_STITCH_LEFT

    public static final int FINISHINGS_EDGE_STITCH_LEFT

See Also:
  Constant Field Values

### FINISHINGS_EDGE_STITCH_TOP

    public static final int FINISHINGS_EDGE_STITCH_TOP

See Also:
  Constant Field Values

### FINISHINGS_EDGE_STITCH_RIGHT

    public static final int FINISHINGS_EDGE_STITCH_RIGHT

See Also:
  Constant Field Values

### FINISHINGS_EDGE_STITCH_BOTTOM

    public static final int FINISHINGS_EDGE_STITCH_BOTTOM

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_DUAL_LEFT

    public static final int FINISHINGS_STAPLE_DUAL_LEFT

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_DUAL_TOP

    public static final int FINISHINGS_STAPLE_DUAL_TOP

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_DUAL_RIGHT

    public static final int FINISHINGS_STAPLE_DUAL_RIGHT

See Also:
  Constant Field Values

### FINISHINGS_STAPLE_DUAL_BOTTOM

    public static final int FINISHINGS_STAPLE_DUAL_BOTTOM

See Also:
  Constant Field Values

### FINISHINGS_BIND_LEFT

    public static final int FINISHINGS_BIND_LEFT

See Also:
  Constant Field Values

### FINISHINGS_BIND_TOP

    public static final int FINISHINGS_BIND_TOP

See Also:
  Constant Field Values

### FINISHINGS_BIND_RIGHT

    public static final int FINISHINGS_BIND_RIGHT

See Also:
  Constant Field Values

### FINISHINGS_BIND_BOTTOM

    public static final int FINISHINGS_BIND_BOTTOM

See Also:
  Constant Field Values

### PORTRAIT

    public static final int PORTRAIT

See Also:
  Constant Field Values

### LANDSCAPE

    public static final int LANDSCAPE

See Also:
  Constant Field Values

### REVERSE_LANDSCAPE

    public static final int REVERSE_LANDSCAPE

See Also:
  Constant Field Values

### REVERSE_PORTRAIT

    public static final int REVERSE_PORTRAIT

See Also:
  Constant Field Values

### QUALITY_DRAFT

    public static final int QUALITY_DRAFT

See Also:
  Constant Field Values

### QUALITY_NORMAL

    public static final int QUALITY_NORMAL

See Also:
  Constant Field Values

### QUALITY_HIGH

    public static final int QUALITY_HIGH

See Also:
  Constant Field Values

### JOB_PENDING

    public static final int JOB_PENDING

See Also:
  Constant Field Values

### JOB_HELD

    public static final int JOB_HELD

See Also:
  Constant Field Values

### JOB_PROCESSING

    public static final int JOB_PROCESSING

See Also:
  Constant Field Values

### JOB_STOPPED

    public static final int JOB_STOPPED

See Also:
  Constant Field Values

### JOB_CANCELLED

    public static final int JOB_CANCELLED

See Also:
  Constant Field Values

### JOB_ABORTED

    public static final int JOB_ABORTED

See Also:
  Constant Field Values

### JOB_COMPLETED

    public static final int JOB_COMPLETED

See Also:
  Constant Field Values

### PRINTER_IDLE

    public static final int PRINTER_IDLE

See Also:
  Constant Field Values

### PRINTER_PROCESSING

    public static final int PRINTER_PROCESSING

See Also:
  Constant Field Values

### PRINTER_STOPPED

    public static final int PRINTER_STOPPED

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### IDLE

    public static final int IDLE

See Also:
  Constant Field Values

### HEADER

    public static final int HEADER

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### DATA

    public static final int DATA

See Also:
  Constant Field Values

### PRINT_JOB

    public static final int PRINT_JOB

See Also:
  Constant Field Values

### PRINT_URI

    public static final int PRINT_URI

See Also:
  Constant Field Values

### VALIDATE_JOB

    public static final int VALIDATE_JOB

See Also:
  Constant Field Values

### CREATE_JOB

    public static final int CREATE_JOB

See Also:
  Constant Field Values

### SEND_DOCUMENT

    public static final int SEND_DOCUMENT

See Also:
  Constant Field Values

### SEND_URI

    public static final int SEND_URI

See Also:
  Constant Field Values

### CANCEL_JOB

    public static final int CANCEL_JOB

See Also:
  Constant Field Values

### GET_JOB_ATTRIBUTES

    public static final int GET_JOB_ATTRIBUTES

See Also:
  Constant Field Values

### GET_JOBS

    public static final int GET_JOBS

See Also:
  Constant Field Values

### GET_PRINTER_ATTRIBUTES

    public static final int GET_PRINTER_ATTRIBUTES

See Also:
  Constant Field Values

### HOLD_JOB

    public static final int HOLD_JOB

See Also:
  Constant Field Values

### RELEASE_JOB

    public static final int RELEASE_JOB

See Also:
  Constant Field Values

### RESTART_JOB

    public static final int RESTART_JOB

See Also:
  Constant Field Values

### PAUSE_PRINTER

    public static final int PAUSE_PRINTER

See Also:
  Constant Field Values

### RESUME_PRINTER

    public static final int RESUME_PRINTER

See Also:
  Constant Field Values

### PURGE_JOBS

    public static final int PURGE_JOBS

See Also:
  Constant Field Values

### SET_PRINTER_ATTRIBUTES

    public static final int SET_PRINTER_ATTRIBUTES

See Also:
  Constant Field Values

### SET_JOB_ATTRIBUTES

    public static final int SET_JOB_ATTRIBUTES

See Also:
  Constant Field Values

### GET_PRINTER_SUPPORTED_VALUES

    public static final int GET_PRINTER_SUPPORTED_VALUES

See Also:
  Constant Field Values

### CREATE_PRINTER_SUBSCRIPTION

    public static final int CREATE_PRINTER_SUBSCRIPTION

See Also:
  Constant Field Values

### CREATE_JOB_SUBSCRIPTION

    public static final int CREATE_JOB_SUBSCRIPTION

See Also:
  Constant Field Values

### GET_SUBSCRIPTION_ATTRIBUTES

    public static final int GET_SUBSCRIPTION_ATTRIBUTES

See Also:
  Constant Field Values

### GET_SUBSCRIPTIONS

    public static final int GET_SUBSCRIPTIONS

See Also:
  Constant Field Values

### RENEW_SUBSCRIPTION

    public static final int RENEW_SUBSCRIPTION

See Also:
  Constant Field Values

### CANCEL_SUBSCRIPTION

    public static final int CANCEL_SUBSCRIPTION

See Also:
  Constant Field Values

### GET_NOTIFICATIONS

    public static final int GET_NOTIFICATIONS

See Also:
  Constant Field Values

### SEND_NOTIFICATIONS

    public static final int SEND_NOTIFICATIONS

See Also:
  Constant Field Values

### GET_PRINT_SUPPORT_FILES

    public static final int GET_PRINT_SUPPORT_FILES

See Also:
  Constant Field Values

### ENABLE_PRINTER

    public static final int ENABLE_PRINTER

See Also:
  Constant Field Values

### DISABLE_PRINTER

    public static final int DISABLE_PRINTER

See Also:
  Constant Field Values

### PAUSE_PRINTER_AFTER_CURRENT_JOB

    public static final int PAUSE_PRINTER_AFTER_CURRENT_JOB

See Also:
  Constant Field Values

### HOLD_NEW_JOBS

    public static final int HOLD_NEW_JOBS

See Also:
  Constant Field Values

### RELEASE_HELD_NEW_JOBS

    public static final int RELEASE_HELD_NEW_JOBS

See Also:
  Constant Field Values

### DEACTIVATE_PRINTER

    public static final int DEACTIVATE_PRINTER

See Also:
  Constant Field Values

### ACTIVATE_PRINTER

    public static final int ACTIVATE_PRINTER

See Also:
  Constant Field Values

### RESTART_PRINTER

    public static final int RESTART_PRINTER

See Also:
  Constant Field Values

### SHUTDOWN_PRINTER

    public static final int SHUTDOWN_PRINTER

See Also:
  Constant Field Values

### STARTUP_PRINTER

    public static final int STARTUP_PRINTER

See Also:
  Constant Field Values

### REPROCESS_JOB

    public static final int REPROCESS_JOB

See Also:
  Constant Field Values

### CANCEL_CURRENT_JOB

    public static final int CANCEL_CURRENT_JOB

See Also:
  Constant Field Values

### SUSPEND_CURRENT_JOB

    public static final int SUSPEND_CURRENT_JOB

See Also:
  Constant Field Values

### RESUME_JOB

    public static final int RESUME_JOB

See Also:
  Constant Field Values

### PROMOTE_JOB

    public static final int PROMOTE_JOB

See Also:
  Constant Field Values

### SCHEDULE_JOB_AFTER

    public static final int SCHEDULE_JOB_AFTER

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### CUPS_GET_DEFAULT

    public static final int CUPS_GET_DEFAULT

See Also:
  Constant Field Values

### CUPS_GET_PRINTERS

    public static final int CUPS_GET_PRINTERS

See Also:
  Constant Field Values

### CUPS_ADD_PRINTER

    public static final int CUPS_ADD_PRINTER

See Also:
  Constant Field Values

### CUPS_DELETE_PRINTER

    public static final int CUPS_DELETE_PRINTER

See Also:
  Constant Field Values

### CUPS_GET_CLASSES

    public static final int CUPS_GET_CLASSES

See Also:
  Constant Field Values

### CUPS_ADD_CLASS

    public static final int CUPS_ADD_CLASS

See Also:
  Constant Field Values

### CUPS_DELETE_CLASS

    public static final int CUPS_DELETE_CLASS

See Also:
  Constant Field Values

### CUPS_ACCEPT_JOBS

    public static final int CUPS_ACCEPT_JOBS

See Also:
  Constant Field Values

### CUPS_REJECT_JOBS

    public static final int CUPS_REJECT_JOBS

See Also:
  Constant Field Values

### CUPS_SET_DEFAULT

    public static final int CUPS_SET_DEFAULT

See Also:
  Constant Field Values

### CUPS_GET_DEVICES

    public static final int CUPS_GET_DEVICES

See Also:
  Constant Field Values

### CUPS_GET_PPDS

    public static final int CUPS_GET_PPDS

See Also:
  Constant Field Values

### CUPS_MOVE_JOB

    public static final int CUPS_MOVE_JOB

See Also:
  Constant Field Values

### CUPS_ADD_DEVICE

    public static final int CUPS_ADD_DEVICE

See Also:
  Constant Field Values

### CUPS_DELETE_DEVICE

    public static final int CUPS_DELETE_DEVICE

See Also:
  Constant Field Values

### OK

    public static final int OK

See Also:
  Constant Field Values

### OK_SUBST

    public static final int OK_SUBST

See Also:
  Constant Field Values

### OK_CONFLICT

    public static final int OK_CONFLICT

See Also:
  Constant Field Values

### OK_IGNORED_SUBSCRIPTIONS

    public static final int OK_IGNORED_SUBSCRIPTIONS

See Also:
  Constant Field Values

### OK_IGNORED_NOTIFICATIONS

    public static final int OK_IGNORED_NOTIFICATIONS

See Also:
  Constant Field Values

### OK_TOO_MANY_EVENTS

    public static final int OK_TOO_MANY_EVENTS

See Also:
  Constant Field Values

### OK_BUT_CANCEL_SUBSCRIPTION

    public static final int OK_BUT_CANCEL_SUBSCRIPTION

See Also:
  Constant Field Values

### REDIRECTION_OTHER_SITE

    public static final int REDIRECTION_OTHER_SITE

See Also:
  Constant Field Values

### BAD_REQUEST

    public static final int BAD_REQUEST

See Also:
  Constant Field Values

### FORBIDDEN

    public static final int FORBIDDEN

See Also:
  Constant Field Values

### NOT_AUTHENTICATED

    public static final int NOT_AUTHENTICATED

See Also:
  Constant Field Values

### NOT_AUTHORIZED

    public static final int NOT_AUTHORIZED

See Also:
  Constant Field Values

### NOT_POSSIBLE

    public static final int NOT_POSSIBLE

See Also:
  Constant Field Values

### TIMEOUT

    public static final int TIMEOUT

See Also:
  Constant Field Values

### NOT_FOUND

    public static final int NOT_FOUND

See Also:
  Constant Field Values

### GONE

    public static final int GONE

See Also:
  Constant Field Values

### REQUEST_ENTITY

    public static final int REQUEST_ENTITY

See Also:
  Constant Field Values

### REQUEST_VALUE

    public static final int REQUEST_VALUE

See Also:
  Constant Field Values

### DOCUMENT_FORMAT

    public static final int DOCUMENT_FORMAT

See Also:
  Constant Field Values

### ATTRIBUTES

    public static final int ATTRIBUTES

See Also:
  Constant Field Values

### URI_SCHEME

    public static final int URI_SCHEME

See Also:
  Constant Field Values

### CHARSET

    public static final int CHARSET

See Also:
  Constant Field Values

### CONFLICT

    public static final int CONFLICT

See Also:
  Constant Field Values

### COMPRESSION_NOT_SUPPORTED

    public static final int COMPRESSION_NOT_SUPPORTED

See Also:
  Constant Field Values

### COMPRESSION_ERROR

    public static final int COMPRESSION_ERROR

See Also:
  Constant Field Values

### DOCUMENT_FORMAT_ERROR

    public static final int DOCUMENT_FORMAT_ERROR

See Also:
  Constant Field Values

### DOCUMENT_ACCESS_ERROR

    public static final int DOCUMENT_ACCESS_ERROR

See Also:
  Constant Field Values

### ATTRIBUTES_NOT_SETTABLE

    public static final int ATTRIBUTES_NOT_SETTABLE

See Also:
  Constant Field Values

### IGNORED_ALL_SUBSCRIPTIONS

    public static final int IGNORED_ALL_SUBSCRIPTIONS

See Also:
  Constant Field Values

### TOO_MANY_SUBSCRIPTIONS

    public static final int TOO_MANY_SUBSCRIPTIONS

See Also:
  Constant Field Values

### IGNORED_ALL_NOTIFICATIONS

    public static final int IGNORED_ALL_NOTIFICATIONS

See Also:
  Constant Field Values

### PRINT_SUPPORT_FILE_NOT_FOUND

    public static final int PRINT_SUPPORT_FILE_NOT_FOUND

See Also:
  Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

### OPERATION_NOT_SUPPORTED

    public static final int OPERATION_NOT_SUPPORTED

See Also:
  Constant Field Values

### SERVICE_UNAVAILABLE

    public static final int SERVICE_UNAVAILABLE

See Also:
  Constant Field Values

### VERSION_NOT_SUPPORTED

    public static final int VERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

### DEVICE_ERROR

    public static final int DEVICE_ERROR

See Also:
  Constant Field Values

### TEMPORARY_ERROR

    public static final int TEMPORARY_ERROR

See Also:
  Constant Field Values

### NOT_ACCEPTING

    public static final int NOT_ACCEPTING

See Also:
  Constant Field Values

### PRINTER_BUSY

    public static final int PRINTER_BUSY

See Also:
  Constant Field Values

### ERROR_JOB_CANCELLED

    public static final int ERROR_JOB_CANCELLED

See Also:
  Constant Field Values

### MULTIPLE_JOBS_NOT_SUPPORTED

    public static final int MULTIPLE_JOBS_NOT_SUPPORTED

See Also:
  Constant Field Values

### PRINTER_IS_DEACTIVATED

    public static final int PRINTER_IS_DEACTIVATED

See Also:
  Constant Field Values

Constructor Detail

### IPPDefs

    public IPPDefs()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD